Summary: Text based browser for the world wide web
Name: lynx
Version: 2.8.1
Release: 5
Copyright: GPL
Group: Applications/Networking
Source0: ftp://www.slcc.edu/pub/lynx/current/lynx2.8.1pre.9.tar.bz2
Source1: lynx.wmconfig
Patch0: lynx2-8-1-redhat.patch
Patch1: lynx2-8-1-overflow.patch
Requires: indexhtml
%define VER 2-8-1
Buildroot: /var/tmp/lynx-root
Summary(de): Text-Browser fr das WWW 
Summary(fr): Navigateur en mode texte pour le world wide web
Summary(tr): Metin ekranda WWW tarayc

%description
This a terminal based WWW browser. While it does not make any attempt
at displaying graphics, it has good support for HTML text formatting,
forms, and tables.

%description -l de
Dies ist ein WWW-Browser auf Terminal-Basis. Whrend kein Versuch 
unternommen wird, Grafiken darzustellen, so bietet er doch guten 
Support fr HTML-Textformatierung, Formulare und Tabellen. 

%description -l fr
Navigateur WWW en mode texte. Bien qu'il n'affiche aucun graphique, il
sait bien grer le formatage HTML du texte, les formulaires et les tableaux.

%description -l tr
Metin ekranda alan bir WWW taraycdr. ekil gsteremese de, formlar ve
tablolar iin destei vardr.

%prep
%setup -n lynx%{VER}
%patch0 -p1 -b .redhat
%patch1 -p1 -b .overflow

%build
CFLAGS="$RPM_OPT_FLAGS" ./configure --prefix=/usr --libdir=/etc \
	--with-screen=slang --enable-warnings \
	--enable-default-colors --enable-externs \
	--enable-internal-links --enable-nsl-fork --with-zlib 
make

%install
rm -rf $RPM_BUILD_ROOT
make install prefix=$RPM_BUILD_ROOT/usr libdir=$RPM_BUILD_ROOT/etc
mkdir -p $RPM_BUILD_ROOT/etc/X11/wmconfig
install -m644 -o root -g root $RPM_SOURCE_DIR/lynx.wmconfig \
	$RPM_BUILD_ROOT/etc/X11/wmconfig/lynx
strip $RPM_BUILD_ROOT/usr/bin/lynx

%clean
rm -rf $RPM_BUILD_ROOT

%files
%doc docs README INSTALLATION samples
%doc test lynx.hlp lynx_help
%config(missingok) /etc/X11/wmconfig/lynx
/usr/bin/lynx
/usr/man/man1/lynx.1
%config /etc/lynx.cfg

%changelog
* Sat Oct 10 1998 Cristian Gafton <gafton@redhat.com>
- 2.8.1pre9
- strip binaries

* Mon Oct 05 1998 Cristian Gafton <gafton@redhat.com>
- updated to lynx2.8.1pre.7.tar.gz

* Fri May 08 1998 Prospector System <bugs@redhat.com>
- translations modified for de, fr, tr

* Mon May 04 1998 Cristian Gafton <gafton@redhat.com>
- upgraded to 2.8rel3
- fixed mailto: buffer overflow (used Alan's patch)

* Fri Mar 20 1998 Cristian Gafton <gafton@redhat.com>
- updated to 2.8
- added buildroot

* Tue Jan 13 1998 Erik Troan <ewt@redhat.com>
- updated to 2.7.2
- enabled lynxcgi

* Thu Oct 23 1997 Donnie Barnes <djb@redhat.com>
- updated from 2.6 to 2.7.1
- moved /usr/lib/lynx.cfg to /etc/lynx.cfg
- build with slang instead of ncurses
- made default startup file be file:/usr/doc/HTML/index.html

